HTTP API reference › Gala Launchpad › Platform Config
Gala Launchpad — Platform Config
6 operations in this group.
- GET /v1 — Get platform configuration
- PUT /v1 — Update platform configuration (admin/overseer only)
- GET /v1/config — Get platform configuration
- PUT /v1/config — Update platform configuration (admin/overseer only)
- GET /v1/config/roles — Get available roles
- GET /v1/roles — Get available roles
GET /v1
SiteConfigController_getConfig[1]
Get platform configuration
Get platform configuration
Responses
200 — Current platform feature configuration and AI moderation availability.
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | PlatformConfigResponseDto | yes |
400 — Platform configuration could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
500 — Platform configuration could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example response
[]
PUT /v1
SiteConfigController_updateConfig[1]
Update platform configuration (admin/overseer only)
Update platform configuration (admin/overseer only)
Authentication: bearer
Request body
Required: yes
application/json
Schema: UpdateConfigDto
| Field | Type | Required | Description |
|---|---|---|---|
| aiModerationEnabled | boolean | no | |
| chatEnabled | boolean | no | |
| commentsEnabled | boolean | no | |
| streamingEnabled | boolean | no | |
| webhooksEnabled | boolean | no |
Responses
200 — Updated platform configuration fields.
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | PlatformConfigUpdateResponseDto | yes |
400 — Invalid configuration
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
401 — Unauthorized
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
403 — Forbidden - insufficient permissions
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
500 — Configuration could not be updated.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example request
[]
Example response
[]
GET /v1/config
SiteConfigController_getConfig[0]
Get platform configuration
Get platform configuration
Responses
200 — Current platform feature configuration and AI moderation availability.
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | PlatformConfigResponseDto | yes |
400 — Platform configuration could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
500 — Platform configuration could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example response
[]
PUT /v1/config
SiteConfigController_updateConfig[0]
Update platform configuration (admin/overseer only)
Update platform configuration (admin/overseer only)
Authentication: bearer
Request body
Required: yes
application/json
Schema: UpdateConfigDto
| Field | Type | Required | Description |
|---|---|---|---|
| aiModerationEnabled | boolean | no | |
| chatEnabled | boolean | no | |
| commentsEnabled | boolean | no | |
| streamingEnabled | boolean | no | |
| webhooksEnabled | boolean | no |
Responses
200 — Updated platform configuration fields.
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | PlatformConfigUpdateResponseDto | yes |
400 — Invalid configuration
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
401 — Unauthorized
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
403 — Forbidden - insufficient permissions
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
500 — Configuration could not be updated.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example request
[]
Example response
[]
GET /v1/config/roles
SiteConfigController_getAvailableRoles[0]
Get available roles
Get available roles
Responses
200 — Available roles retrieved successfully
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | AvailableRolesResponse | yes |
500 — Available roles could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example response
[]
GET /v1/roles
SiteConfigController_getAvailableRoles[1]
Get available roles
Get available roles
Responses
200 — Available roles retrieved successfully
Content type: application/json
Schema: ApiSuccessEnvelopeMetadataDto & object
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: false | yes | Successful response marker. |
| message | string | yes | Response message. |
| status | number | yes | HTTP status code. |
| data | AvailableRolesResponse | yes |
500 — Available roles could not be retrieved.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
default — Shared error envelope returned by the application exception filter.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| error | boolean enum: true | yes | |
| message | oneOf: string | array<string> | yes | |
| status | integer | yes | HTTP status code. |
| message | string | yes | |
| statusCode | integer | yes | HTTP status code. |
Example response
[]
Previous group: oembed · Next group: AI Moderation